﻿@using Jb.Framework.Common.Forms
@model IJbBaseElement

<table style="width:100%;font-family: verdana">
    <tr>
        <td style="width:20%;font-size: small;padding: 0;margin: 0;margin-bottom: 5px;">@Model.Title:</td>
        <td style="font-size: small;padding: 0;margin: 0;">
            @if (Model.GetType().Name == "JbSignature")
            {
                <div id="@Model.ElementId">Not signed</div>
                <img id="Image_@Model.ElementId" />
            }
            else
            {
                @(Model.GetValue() == null ? string.Empty : Model.GetValue().ToString())
            }
        </td>
    </tr>
</table>
@if (Model.GetType().Name == "JbSignature" && Model.GetValue() != null)
{
    <text>
        <script src="~/Scripts/Libraries/jSignature/jSignature.min.js"></script>
    </text>

    <script>
        var data = $("#" + "@Model.ElementId").text("").jSignature({
            lineWidth: 1,
            height: 120,
        }).jSignature("setData", "@(Model.GetValue())", "base30").hide(0).jSignature("getData");
        $("#Image_@Model.ElementId").attr("src", data);
    </script>
}


